File: changelog

package info (click to toggle)
gtamsanalyzer.app 0.42-7
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, jessie, jessie-kfreebsd, sid, stretch
  • size: 7,184 kB
  • ctags: 928
  • sloc: objc: 34,255; ansic: 8,762; cpp: 384; makefile: 29
file content (126 lines) | stat: -rw-r--r-- 5,222 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
gtamsanalyzer.app (0.42-7) unstable; urgency=medium

  * debian/source/format: Switch to 3.0 (quilt).
  * debian/compat: Set to 9.
  * debian/README.source: Delete.
  * debian/control (Build-Depends): Remove dpatch.  Require debhelper >= 9
    and gnustep-make >= 2.6.6-2.
    (Description): Reword to make it less confusing.
    (Vcs-Arch): Replace with Vcs-Git; add Vcs-Browser.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/rules: Rewrite for modern dh.  Enable hardening.
  * debian/install: New file.
  * debian/patches/*: Quiltify/rename and make patches DEP-3 compliant:
    - 00list -> series
    - 05_system_pcre.dpatch -> use-system-pcre.patch
    - 10_gv_path.dpatch -> gv-path.patch
  * debian/patches/gcc-warnings.patch: New; fix a lot of issues, still
    way too many remain (Closes: #749756).
  * debian/preinst: Delete; no longer needed.
  * debian/docs: Remove ReadMe.rtf and ReleaseNotes.html; a PDF variant of
    the former is installed and the latter is not very useful.
  * debian/GTAMSAnalyzer.desktop: Add Keywords field.
  * debian/copyright: Switch to format 1.0, add more copyright
    holders/licenses.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 05 Aug 2014 17:18:32 +0300

gtamsanalyzer.app (0.42-6) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Build-Depends): Require debhelper >= 7; remove version constraint for
    libgnustep-gui-dev.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.  Demote gv
    to...
    (Recommends): ... and remove abiword | abiword-gnome.
    (Description): Omit `Free World'; redundant.
    (Standards-Version): Compliant with 3.8.4 as of this release.
    (Vcs-Arch): New field.
  * debian/rules: Include /usr/share/GNUstep/debian/config.mk, export
    GNUSTEP_MAKEFILES, avoid gs_make usage.
    (d_app): Define and use for convenience.
    (OPTFLAG): No longer define; rework noopt handling to be compatible
    with gnustep-make/2.4.x (Closes: #581945).
    (install): Do not install the lintian override.  Replace dh_clean -k
    with dh_prep.
    (binary-arch): Invoke gsdh_gnustep and conditionaly move
    arch-independent Resources to /usr/share/GNUstep.
  * debian/lintian-override: Delete.
  * debian/GTAMSAnalyzer.desktop: Make it valid.
  * debian/copyright: Use GPLv2+ blurbs; in the absence of a version "or
    later" is assumed.
  * debian/preinst:
  * debian/source/format:
  * debian/README.source:
  * debian/watch: New file.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 May 2010 14:10:35 +0300

gtamsanalyzer.app (0.42-5) unstable; urgency=low

  * debian/control (Maintainer): Package adopted, set to the GNUstep team
    (Closes: #450891).
    (Uploaders): Add myself.
    (Section): Changed to `text', seems more appropriate.
    (Build-Depends): Bump debhelper to (>= 5) and libgnustep-gui-dev to
    (>= 0.12).  Add dpatch, libpcre3-dev and imagemagick.  Drop
    gnustep-make.
    (Homepage): Add.
  * debian/compat: Increase to 5.
  * debian/dirs: Delete.
  * debian/docs: Drop ReadMe.txt; has MuckOS EOLs so not viewable with
    `less' and most of the generic programs.
  * debian/rules: Include /usr/share/dpatch/dpatch.make.
    (LDFLAGS): Define.
    (OPTFLAG): Define conditionally based on the value of
    DEB_BUILD_OPTIONS.
    (build): Depend on the `patch' target.
    (build-stamp): Define GNUSTEP_MAKEFILES and honor the compiler flags.
    Convert the icon in XPM format.
    (clean): Rename to `clean-patched'; depend on it and `unpatch'.
    (clean-patched): Do not source GNUstep.sh and use gs_make.  Delete the
    XPM icon here.  (Closes: #450461).
    (install): Remove dh_installdirs invocation.  Install using DESTDIR
    and GNUSTEP_INSTALLATION_DOMAIN=SYSTEM.  Install the .desktop file and
    icon.  Deal with the lintian override here.
    (binary-arch): Do not create symlink for the app wrapper.
  * debian/GTAMSAnalyzer.desktop: New file.
  * debian/menu (section): Changed to `Applications/Text' to comply with
    the new policy.
    (icon, longtitle): Add.
  * debian/patches/05_system_pcre.dpatch: New; use the system PCRE library
    for security concerns.
  * debian/patches/10_gv_path.dpatch: New; adjust the path to the `gv'
    binary.
  * debian/patches/00list: Create and populate accordingly.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Nov 2007 17:46:37 +0000

gtamsanalyzer.app (0.42-4) unstable; urgency=low

  * Fix installdir.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  8 Nov 2006 12:54:21 +0100

gtamsanalyzer.app (0.42-3) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 24 Sep 2006 13:52:14 +0200

gtamsanalyzer.app (0.42-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui. (closes: #350424)
  * Update manual page.
  * Bump standards version.
  * Add alternative abiword to recommends. (closes: #298992)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 31 Jan 2006 09:06:02 +0100

gtamsanalyzer.app (0.42-1) unstable; urgency=low

  * Initial Release. (closes: #285376)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  8 Dec 2004 21:01:49 +0100